Skip to Content
Cloud One
  • Products

    Business Communication Suite & Phone System


      By Edition

      ​Cloud

      Software

      Appliance

    By Deployment

    ​On-premise

    Hosted by Cloud One

    Self-hosted

    By Management

    ​Managed By Cloud One

    Semi-Managed by Cloud One

    Self-Managed


    Simu Connect UC Clients


    Simu Connect Web Client Simu Connect Mobile Client Simu Connect Desktop ClientSimu Connect Chrome ExtensionSimu Connect TAPI Integration

    SIP Trunks


    Business SIPPay As You Go SIP Country Presence SIPVirtual Phone NumbersGolden Phone NumbersToll Free NumbersBring Your Own Carrier (BYOC)Calling RatesTalktime Top-up

    Get a Proof of Concept Now!


    Simu Connect POC Application Managed Business Communication Suite Self Managed Business Communication SuiteSIP Trunk POCOdoo Phone POC
  • Solutions

    Business Needs


    Work from Anywhere Hosted UCaaS Self hosted UCaaSVideo ConferencingAppliance PBXAI-powered Cloud PBXWhite-label Solution

    Industry


    Call Center Healthcare HospitalityFinanceEducationLogisticsRetail BusinessGovernment Agency

    Ecosystem


    IP Phones SIP Trunks IntegrationHeadsetsVirtual Phone Numbers

    By Integration


    Odoo Phone System Zoho Phone System Salesforce Phone SystemMicrosoft Dynamics Phone SystemZendesk Phone SystemFreshdesk Phone SystemBitrix24 Phone SystemHubSpot Phone System
  • Resources

    Downloads

    Download user guides and more documents

    Book a Meeting

    Schedule a meeting at your convenience

    Developer Guide

    Read API Documentation for Cloud One BCS API

    Business Communication Suite

    Experience our user-friendly business communication suite today. Explore robust telephony features that enhance your client connections efficiently.  

    See More Details
  • Devices

    Yealink IP Phones


    Yealink T3 Series IP Phones Yealink T4 Series IP Phones Yealink T5 Series IP PhonesYealink T7 Series IP PhonesYealink T8 Series IP Phones Yealink DECT IP Phones

    Voice Conferencing Solutions


    VC Room Systems BYOD Solutions Video Phone Video Conferencing Accessories

    Microsoft Solutions


    MS Teams Rooms Systems Microsoft Phones Conference Phones HeadsetsYealink MeetingBoardYealink MeetingBoard Pro

    Zoom Rooms


    Zoom Rooms Systems Zoom Phones Zoom Cameras BYOD Solutions
  • Help

    Ticketing System


    Submit a Helpdesk TicketReport an Issue

    Training


    User TrainingOperator TrainingCall Center Agent TrainingSupervisor Training

    Frequently Asked Questions


    General FAQBCS FAQSIP Trunks FAQLocal Phone Numbers FAQ

    Contact Us


    WhatsApp Icon


  • Support Helpdesk Contact
  • +254 20 790 0100
  • support@cloudone.co

  • Accounts Helpdesk Contact
  • +254 20 790 0000
  • finance@cloudone.co
  • Visit our Office


    Cloud One Ltd

    Saachi Plaza - Unit A3, Argwings Kodhek Road, Nairobi, Kenya
    P.O.Box 76484-00508 Yaya Centre

    +254 20 790 0000

    hello@cloudone.co


    Kindly do not email multiple contacts as it creates multiple tickets on our CRM


  • Contact Us
  • Blog
    ​​
  • Sign in
  • 0
  • 0
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
Cloud One
  • 0
  • 0
    • Products
    • Solutions
    • Resources
    • Devices
    • Help
    • Contact Us
    • Blog
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
  • Sign in
  • ​​

Download a Scheduled Call Report

Download a specific scheduled call report.

Steps to download a scheduled call report

  1. Get the download URL of scheduled call report
  2. Download the scheduled call report

Request URL

GET {base_url}/{api_path}/call_schedule_report/download?access_token={access_token}

Note: To enhance system performance, Cloud One has upgraded the CDR module in version 83.21.0.117 with a new data structure for clearer display and more comprehensive call details. The system gradually deletes old CDRs and related call report data according to the CDR Auto Cleanup setting.

Before old call report data are cleaned up, new and historical data are managed separately - openapi/v2.0 for new data and openapi/v1.0 for historical data. Make sure to use the appropriate API path based on the type of data that you want to retrieve.

Request parameters

ParameterAvailableRequiredTypeDescription
idThis parameter is available in all call report types.YesIntegerThe unique ID of the scheduled call report.
Note: You can query the call report's ID using Query Scheduled Call Report List.
need_detailThis parameter is available when querying the following types of reports:
  • IVR Report
  • Queue Performance
  • Queue Performance Activity
  • Agent Performance
  • Unreturned Missed Call Report
  • AI Receptionist Call Activity
NoIntegerWhether to include details about the associated calls.
Valid value:
  • 0: Exclude the call details.
  • 1: Include the call details.
is_asyncThis parameter is available in all call report types.NoInteger

Whether to retrieve data and obtain the download URL of call report asynchronously.

Valid value:
  • 0: Synchronously.
  • 1: Asynchronously.
  • Note:When data is retrieved and the download URL of call report is generated, the PBX will send event report 30027 to the third-party application.

Response parameters

ParameterTypeDescription
errcodeIntegerReturned error code.
  • 0: Succeed.
  • Non-zero value: Failed.
  • You can check the error code and error message in Error Code and Error Message.
  • If you choose to retrieve data asynchronously, error code 2 and error message PROCESSING will be returned. When data is retrieved and the download URL of call report is generated, the PBX will send event report 30027 to the third-party application.
Note:
errmsgStringReturned message.
  • SUCCESS: Succeed.
  • FAILURE: Failed.
fileStringThe scheduled call report.
download_resource_urlStringThe scheduled call report download URL.
Note: The download URL is only valid for 30 minutes.

Examples

Request Example

Important: Make sure to use the appropriate API path based on the type of report data that you want to retrieve.

  • For new report data generated on version 83.21.0.117 or later, use openapi/v2.0.
  • For legacy report data generated on version 83.21.0.66 or earlier, use openapi/v1.0.
GET /openapi/v1.0/call_schedule_report/download?id=5&access_token=FZCqUJucsaaUYikWHJA7sCEBjo0z8k5C HTTP/1.1
192.168.5.150:8088

Response Example

 HTTP/1.1 200 OK
{
  "errcode": 0,
  "errmsg": "SUCCESS",
  "file": "Support.csv",
  "download_resource_url": "/api/download/Support.csv"
 }

Download the scheduled call report

After obtaining the download URL for the call report, combine it with the {base_url} and append the {access_token} parameter. Then, use the complete link to download the call reports.

Download link format

{base_url}/{download_resource_url}?access_token={access_token}

Download link example

https://192.168.5.150:8088/api/download/Support.csv?access_token=WQMR0cuirhX264oZMa9pV03T9li924NS
Useful Links
  • Home
  • About us
  • Products
  • Services
  • Shipping
  • Return Policy
  • Warranty
  • Contact us
Legal
  • Terms
  • Privacy
  • Shared Responsibility
    Service Level Agreement
  • Certifications
About us

Cloud One Limited is a leading Kenyan local telephony service provider. Established in 2017, we offer reliable and secure cloud and on premise business communication solutions, including SIP trunks, Yealink IP phones, and VPS hosting in our Tier 3 data center.


Our mission is to revolutionize cloud communications by providing unparalleled reliability, cutting-edge innovation, and substantial cost savings. We deliver a stress-free, always-available service experience that empowers businesses to thrive in the digital age.

DUNS Registration Number: 561230946
Company Registration Number: PVT-5JUEYMA
Licensed & Regulated by the Communications Authority of Kenya


Follow us
Connect with us
  • Contact us
  • hello@cloudone.co
  • +254 20 7900000
  • Saachi Plaza, UNIT A3 - Argwings Kodhek Rd
Download Simu Connect

    Get the app on the playstore

    Download desktop app for Windows​

    Download app from the appstore

    Download MacOS app